### Method

# ECal ComponentRange take_datetime

since: 3.34

#### Declaration [src]

    void
    e_cal_component_range_take_datetime (
      ECalComponentRange* range,
      ECalComponentDateTime* datetime
    )

#### Description [src]

Set the date/time part of the `range`, similar to e_cal_component_range_set_datetime(), except it assumes ownership of the `datetime`.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`datetime`

  Type: `ECalComponentDateTime`

  An `ECalComponentDateTime`.

  The instance takes ownership of the data, and is responsible for freeing it.